use serde::Deserialize;

use super::melding::CommandRecipe;

#[derive(Debug, Deserialize)]
pub struct Command {
	pub name: String,
	pub category: String,
	pub char: Vec<char>,
	#[serde(default)]
	pub starting: Option<bool>,
	#[serde(default)]
	pub info: Option<String>,
	#[serde(default)]
	pub recipes: Vec<CommandRecipe>,
}
